holidays:
  # @attrib https://de.m.wikipedia.org/wiki/Kanada#Feiertage
  # @attrib https://en.wikipedia.org/wiki/Public_holidays_in_Canada
  # @source http://manpages.ubuntu.com/manpages/wily/man3/DateTime::TimeZone::Catalog.3pm.html
  CA:
    names:
      en: Canada
      fr: Canada
    zones:
      - America/Toronto
      - America/St_Johns
      - America/Halifax
      - America/Glace_Bay
      - America/Moncton
      - America/Goose_Bay
      - America/Blanc-Sablon
      - America/Nipigon
      - America/Thunder_Bay
      - America/Iqaluit
      - America/Pangnirtung
      - America/Resolute
      - America/Atikokan
      - America/Rankin_Inlet
      - America/Winnipeg
      - America/Rainy_River
      - America/Regina
      - America/Swift_Current
      - America/Edmonton
      - America/Cambridge_Bay
      - America/Yellowknife
      - America/Inuvik
      - America/Creston
      - America/Dawson_Creek
      - America/Fort_Nelson
      - America/Vancouver
      - America/Whitehorse
      - America/Dawson
    langs:
      - en
      - fr
    days:
      01-01:
        _name: 01-01
      02-02:
        name:
          en: Groundhog Day
          fr: Jour de la marmotte
        type: observance
      02-14:
        _name: 02-14
        type: observance
      03-17:
        name:
          en: St. Patrick’s Day
          fr: Fête de la Saint-Patrick
        type: observance
      easter -2:
        _name: easter -2
      easter:
        _name: easter
      2nd sunday after 05-01:
        _name: Mothers Day
        type: observance
      monday before 05-25:
        name:
          en: Victoria Day
          fr: Fête de la Reine
      3rd sunday after 06-01:
        _name: Fathers Day
        type: observance
      07-01:
        name:
          en: Canada Day
          fr: Fête du Canada
      monday after 08-01:
        name:
          en: Civic Holiday
          fr: Premier lundi d’août
      1st monday in September:
        _name: 05-01
      2nd monday after 10-01:
        name:
          en: Thanksgiving
          fr: Action de grâce
      10-31 18:00:
        name:
          en: Halloween
          fr: l'Halloween
        type: observance
      11-11:
        name:
          en: Remembrance Day
          fr: Jour du Souvenir
      12-25:
        _name: 12-25
      12-26:
        _name: 12-26
    states:
      AB:
        name: Alberta
        zones:
          - America/Edmonton
        days:
          3rd monday after 02-01:
            name:
              en: Family Day
              fr: Fête de la famille
          easter 1:
            _name: easter 1
            type: optional
          monday after 08-01:
            name:
              en: Heritage Day
              fr: Fête du patrimoine
            type: optional
      BC:
        name: British Columbia
        zones:
          - America/Vancouver
          - America/Edmonton
          - America/Creston
          - America/Dawson_Creek
        days:
          2nd monday after 02-01:
            name:
              en: Family Day
              fr: Fête de la famille
            active:
              - to: 2019
          # @source https://news.gov.bc.ca/releases/2018PREM0018-000188
          # @source https://globalnews.ca/news/4017192/b-c-s-family-day-moved-3rd-week-february-2019/
          3rd monday after 02-01:
            name:
              en: Family Day
              fr: Fête de la famille
            active:
              - from: 2019
      MB:
        name: Manitoba
        zones:
          - America/Winnipeg
        days:
          3rd monday after 02-01:
            name:
              en: Louis Riel Day
              fr: Journée Louis Riel
      NB:
        name: New Brunswick
        zones:
          - America/Moncton
        days:
          monday after 08-01:
            name:
              en: New Brunswick Day
              fr: Jour de Nouveau Brunswick
      NL:
        name: Newfoundland and Labrador
        zones:
          - America/St_Johns
          - America/Goose_Bay
        days:
          03-17:
            name:
              en: Saint Patrick's Day
              fr: Jour de la Saint-Patrick
            type: optional
          04-23:
            name:
              en: Saint George's Day
              fr: Jour de St. George
            type: optional
          06-24:
            name:
              en: Discovery Day
              fr: Journée découverte
            type: optional
          07-12:
            name:
              en: Orangemen's Day
              fr: Fête des orangistes
            type: optional
          11-11:
            name:
              en: Armistice Day
              fr: Jour de l'Armistice
      NS:
        name: Nova Scotia
        zones:
          - America/Halifax
          - America/Moncton
        days:
          3rd monday after 02-01:
            name:
              en: Heritage Day
              fr: Fête du Patrimoine
          monday after 08-01:
            name:
              en: Natal Day
              fr: Jour de la Fondation
      NT:
        name: Northwest Territories
        zones:
          - America/Yellowknife
          - America/Inuvik
        days:
          06-21:
            name:
              en: National Aboriginal Day
              fr: Journée nationale des Autochthones
      NU:
        name: Nunavut
        zones:
          - America/Iqaluit
          - America/Pangnirtung
          - America/Resolute
          - America/Rankin_Inlet
          - America/Atikokan
          - America/Cambridge_Bay
        days:
          07-09:
            name:
              en: Nunavut Day
            type: bank
      ON:
        name: Ontario
        zones:
          - America/Toronto
          - America/Nipigon
          - America/Thunder_Bay
          - America/Atikokan
          - America/Rainy_River
          - America/Winnipeg
        days:
          3rd monday after 02-01:
            name:
              en: Family Day
              fr: Fête de la famille
          easter 1:
            _name: easter 1
      PE:
        name: Prince Edward Island
        days:
          3rd monday after 02-01:
            name:
              en: Islander Day
              fr: Fête des Insulaires
          easter 1:
            _name: easter 1
            type: optional
          3rd friday after 08-01:
            name:
              en: Gold Cup Parade Day
              fr: "Défilé de la Coupe d'or"
      QC:
        name: Quebec
        zones:
          - America/Blanc-Sablon
          - America/Toronto
          - America/Nipigon
        days:
          monday before 05-25:
            name:
              en: National Patriots' Day
              fr: Journée nationale des patriotes
          06-24:
            name:
              en: National Holiday
              fr: Fête nationale du Québec
      SK:
        name: Saskatchewan
        zones:
          - America/Regina
          - America/Swift_Current
          - America/Edmonton
        days:
          3rd monday after 02-01:
            name:
              en: Family Day
              fr: Fête de la famille
          3rd monday after 08-01:
            name:
              en: Saskatchewan Day
      YT:
        name: Yukon
        zones:
          - America/Whitehorse
          - America/Dawson
        days:
          easter 1:
            _name: easter 1
          3rd monday after 08-01:
            name:
              en: Discovery Day
              fr: Jour de la Découverte
